Package com.enonic.xp.site

## Class XDataMappings

- java.lang.Object
- - com.enonic.xp.support.AbstractImmutableEntityList<XDataMapping>
  - - com.enonic.xp.site.XDataMappings

- All Implemented Interfaces:
    `Iterable<XDataMapping>`

      @PublicApi
      public class XDataMappings
      extends AbstractImmutableEntityList<XDataMapping>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `XDataMappings.Builder` |

  - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.support.AbstractImmutableEntityList

      `list`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static XDataMappings.Builder` | `create()` |
    `static XDataMappings` | `empty()` |
    `static XDataMappings` | `from​(XDataMapping... xDataMappings)` |
    `static XDataMappings` | `from​(Iterable<? extends XDataMapping> xDataMappings)` |
    `static XDataMappings` | `from​(Collection<? extends XDataMapping> xDataMappings)` |
    `XDataNames` | `getNames()` |

    - ### Methods inherited from class com.enonic.xp.support.AbstractImmutableEntityList

      `contains, equals, first, get, getList, getSize, hashCode, isEmpty, isNotEmpty, iterator, last, stream, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### empty

          public static XDataMappings empty()

    - #### from

          public static XDataMappings from​(XDataMapping... xDataMappings)

    - #### from

          public static XDataMappings from​(Iterable<? extends XDataMapping> xDataMappings)

    - #### from

          public static XDataMappings from​(Collection<? extends XDataMapping> xDataMappings)

    - #### create

          public static XDataMappings.Builder create()

    - #### getNames

          public XDataNames getNames()